Bulletin d'alerte Debian

DSA-276-1 linux-kernel-s390 -- Usurpation de privilèges locaux

Date du rapport :
3 avril 2003
Paquets concernés :
kernel-patch-2.4.17-s390, kernel-image-2.4.17-s390
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans la base de données de suivi des bogues (chez SecurityFocus) : Identifiant BugTraq 7112.
Dans le dictionnaire CVE du Mitre : CVE-2003-0127.
Plus de précisions :

Le chargeur de module dans les noyaux Linux 2.2 et Linux 2.4 a un défaut dans ptrace. Ce trou permet à des utilisateurs locaux d'obtenir les privilèges de root en utilisant ptrace attaché à un processus fils qui est créé par le noyau. Une exploitation à distance de ce trou n'est pas possible.

Cette annonce couvre seulement les paquets de noyau pour l'architecture S/390. D'autres architectures seront couvertes par des annonces séparées.

Pour la distribution stable (Woody), ce problème a été corrigé dans les versions suivantes :

  • kernel-patch-2.4.17-s390 : version 0.0.20020816-0.woody.1.1 ;
  • kernel-image-2.4.17-s390 : version 2.4.17-2.woody.2.2.

L'ancienne distribution stable (Potato) n'est pas affectée par ce problème pour cette architecture étant donné que le s390 était sorti pour la première fois avec Debian GNU/Linux 3.0 (Woody).

Pour la distribution instable (Sid), ce problème sera bientôt corrigé.

Nous vous recommandons de mettre à jour vos paquets kernel-images immédiatement.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.17-s390/kernel-patch-2.4.17-s390_0.0.20020816-0.woody.1.1.dsc
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.17-s390/kernel-patch-2.4.17-s390_0.0.20020816-0.woody.1.1.diff.gz
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.17-s390/kernel-patch-2.4.17-s390_0.0.20020816.orig.tar.gz
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-s390/kernel-image-2.4.17-s390_2.4.17-2.woody.2.2.dsc
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-s390/kernel-image-2.4.17-s390_2.4.17-2.woody.2.2.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.17-s390/kernel-patch-2.4.17-s390_0.0.20020816-0.woody.1.1_all.deb
IBM S/390:
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-s390/kernel-headers-2.4.17_2.4.17-2.woody.2.2_s390.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-s390/kernel-image-2.4.17-s390_2.4.17-2.woody.2.2_s390.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.